<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2025 Workiva-->
<!--r:0da11a53-955a-4038-89e6-eebf4c781946,g:ad08a4c6-3c8a-47b7-92f6-101bb4037ff3-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://amrest.eu/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations_98f3f00b-aa04-431b-9f77-d63f728e9e8b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_0d774a41-a2f7-44c0-9b04-70d770e32993" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_98f3f00b-aa04-431b-9f77-d63f728e9e8b" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_0d774a41-a2f7-44c0-9b04-70d770e32993" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_56c7bd87-1cb6-4db5-a5f4-05196c8a9a36" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_98f3f00b-aa04-431b-9f77-d63f728e9e8b" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_56c7bd87-1cb6-4db5-a5f4-05196c8a9a36" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdministrativeExpense_d17bbbd3-4658-4730-87b6-6bdf5e720cc8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:to="loc_ifrs-full_AdministrativeExpense_d17bbbd3-4658-4730-87b6-6bdf5e720cc8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_d9863835-29d7-4934-a3c1-91ed18212e6d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:to="loc_ifrs-full_FinanceCosts_d9863835-29d7-4934-a3c1-91ed18212e6d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherGainsLosses_8f50b89b-9a8d-4e5c-97a0-4241ec8ee984" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherGainsLosses"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:to="loc_ifrs-full_OtherGainsLosses_8f50b89b-9a8d-4e5c-97a0-4241ec8ee984" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_NetImpairmentLossesOnOtherAssets_fd111942-bbce-4508-8893-8e9ba81f4ff1" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_NetImpairmentLossesOnOtherAssets"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:to="loc_amrest_NetImpairmentLossesOnOtherAssets_fd111942-bbce-4508-8893-8e9ba81f4ff1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_2d2284e2-e337-4d06-a622-67ecc6e4fbc0" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:to="loc_ifrs-full_GrossProfit_2d2284e2-e337-4d06-a622-67ecc6e4fbc0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_ca77d0a3-a655-441f-892c-d25961f0ed87" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:to="loc_ifrs-full_FinanceIncome_ca77d0a3-a655-441f-892c-d25961f0ed87" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_4f424d4e-32c7-4607-9015-f95c86577d51" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_396af003-f00b-436f-a3c8-6bf288574282" xlink:to="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_4f424d4e-32c7-4607-9015-f95c86577d51" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_22932537-66de-4b91-b5fb-3f92487da35b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests_5fcd749d-ee7d-4843-8143-02e1c47ad272" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_22932537-66de-4b91-b5fb-3f92487da35b" xlink:to="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests_5fcd749d-ee7d-4843-8143-02e1c47ad272" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent_09e89925-3108-4b62-8f1f-f9e19b1d79f5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_22932537-66de-4b91-b5fb-3f92487da35b" xlink:to="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent_09e89925-3108-4b62-8f1f-f9e19b1d79f5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_b8dcf17b-30af-474c-b849-f5afb730316b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_FranchiseAndOtherRevenue_ae02266a-f7db-4c82-b4c7-39b9b88c1a12" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_FranchiseAndOtherRevenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_b8dcf17b-30af-474c-b849-f5afb730316b" xlink:to="loc_amrest_FranchiseAndOtherRevenue_ae02266a-f7db-4c82-b4c7-39b9b88c1a12" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueFromSaleOfFoodAndBeverage_798f09ce-e043-42f3-8d1d-bfcea7b42ff9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromSaleOfFoodAndBeverage"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_b8dcf17b-30af-474c-b849-f5afb730316b" xlink:to="loc_ifrs-full_RevenueFromSaleOfFoodAndBeverage_798f09ce-e043-42f3-8d1d-bfcea7b42ff9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ProfitLossFromOperations_3484d326-ff68-49a9-8da4-103e35b6ca6c" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_ProfitLossFromOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdministrativeExpense_c1f7f69c-36bf-4ec8-9c80-9f710a230c9a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_3484d326-ff68-49a9-8da4-103e35b6ca6c" xlink:to="loc_ifrs-full_AdministrativeExpense_c1f7f69c-36bf-4ec8-9c80-9f710a230c9a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherGainsLosses_d30e6c95-a2c2-495f-a50f-6a6713e8399e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherGainsLosses"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_3484d326-ff68-49a9-8da4-103e35b6ca6c" xlink:to="loc_ifrs-full_OtherGainsLosses_d30e6c95-a2c2-495f-a50f-6a6713e8399e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_NetImpairmentLossesOnOtherAssets_9a23a154-cd50-4046-b9ee-f131ae69ecf2" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_NetImpairmentLossesOnOtherAssets"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_3484d326-ff68-49a9-8da4-103e35b6ca6c" xlink:to="loc_amrest_NetImpairmentLossesOnOtherAssets_9a23a154-cd50-4046-b9ee-f131ae69ecf2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_8bbc1f36-223c-4461-85d1-34596c713f6c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_3484d326-ff68-49a9-8da4-103e35b6ca6c" xlink:to="loc_ifrs-full_GrossProfit_8bbc1f36-223c-4461-85d1-34596c713f6c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_6cdfe296-369f-4c50-bb96-ca00f9a6b854" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_3484d326-ff68-49a9-8da4-103e35b6ca6c" xlink:to="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_6cdfe296-369f-4c50-bb96-ca00f9a6b854" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_c38daf1b-20b0-4965-b27a-973a5c4ed687" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFoodAndMerchandise_4cee2895-1ea2-43e3-b180-c21ea2cecc2c" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantFoodAndMerchandise"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c38daf1b-20b0-4965-b27a-973a5c4ed687" xlink:to="loc_amrest_RestaurantFoodAndMerchandise_4cee2895-1ea2-43e3-b180-c21ea2cecc2c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFranchiseAndOtherExpenses_67f15c24-dd94-420b-929c-b686ea7cd40b" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantFranchiseAndOtherExpenses"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c38daf1b-20b0-4965-b27a-973a5c4ed687" xlink:to="loc_amrest_RestaurantFranchiseAndOtherExpenses_67f15c24-dd94-420b-929c-b686ea7cd40b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses_544774db-dff9-4ddb-b7f8-9e0d0c53db14" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantOccupancyAndOtherOperatingExpenses"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c38daf1b-20b0-4965-b27a-973a5c4ed687" xlink:to="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses_544774db-dff9-4ddb-b7f8-9e0d0c53db14" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_1c7a452e-23b5-46d4-9c88-d64e1a26d968" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c38daf1b-20b0-4965-b27a-973a5c4ed687" xlink:to="loc_ifrs-full_Revenue_1c7a452e-23b5-46d4-9c88-d64e1a26d968" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RoyaltyExpense_fe623b7f-c02f-4f45-bd1e-5cdbc7b4e6f7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RoyaltyExpense"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c38daf1b-20b0-4965-b27a-973a5c4ed687" xlink:to="loc_ifrs-full_RoyaltyExpense_fe623b7f-c02f-4f45-bd1e-5cdbc7b4e6f7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_c735b90a-541c-49e4-8d2b-09739ce4e56b" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c38daf1b-20b0-4965-b27a-973a5c4ed687" xlink:to="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_c735b90a-541c-49e4-8d2b-09739ce4e56b" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://amrest.eu/role/StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_b23ca973-c9d0-4903-9cd2-1acf987318b7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_ac58f347-c915-4ba7-828c-9dab9ac51f12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_b23ca973-c9d0-4903-9cd2-1acf987318b7" xlink:to="loc_ifrs-full_ProfitLoss_ac58f347-c915-4ba7-828c-9dab9ac51f12" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_b6a12c04-c0f0-44d5-b189-73f24ca1bfaa" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_b23ca973-c9d0-4903-9cd2-1acf987318b7" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_b6a12c04-c0f0-44d5-b189-73f24ca1bfaa" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_50b8a994-b354-4a8e-a91f-49a462267a85" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation_c06e7e56-8c45-4ca8-baa5-043385a49273" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_ExchangeDifferencesOnTranslationOfDisposedOperation"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_50b8a994-b354-4a8e-a91f-49a462267a85" xlink:to="loc_amrest_ExchangeDifferencesOnTranslationOfDisposedOperation_c06e7e56-8c45-4ca8-baa5-043385a49273" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax_90b37819-e73b-4545-b691-54ff185bad17" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_50b8a994-b354-4a8e-a91f-49a462267a85" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax_90b37819-e73b-4545-b691-54ff185bad17" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax_2d8216ae-6dfc-4115-a7a3-624c70fd4390" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_50b8a994-b354-4a8e-a91f-49a462267a85" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax_2d8216ae-6dfc-4115-a7a3-624c70fd4390" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations_5749d037-92aa-44e9-9a25-69f3a541ef28" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_50b8a994-b354-4a8e-a91f-49a462267a85" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations_5749d037-92aa-44e9-9a25-69f3a541ef28" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome_a82f5449-cfdf-4e22-8296-081f5b2c8a3d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_50b8a994-b354-4a8e-a91f-49a462267a85" xlink:to="loc_ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome_a82f5449-cfdf-4e22-8296-081f5b2c8a3d" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://amrest.eu/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_6f9cefa8-024c-4e72-b7a6-98f016e1101a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_0792fcdb-da65-48ae-b62d-ea4922e175fc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_6f9cefa8-024c-4e72-b7a6-98f016e1101a" xlink:to="loc_ifrs-full_NoncurrentLiabilities_0792fcdb-da65-48ae-b62d-ea4922e175fc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_dd20e468-e4f1-4748-ac84-f1d3dd02f1ce" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_6f9cefa8-024c-4e72-b7a6-98f016e1101a" xlink:to="loc_ifrs-full_CurrentLiabilities_dd20e468-e4f1-4748-ac84-f1d3dd02f1ce" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_94e191bd-6490-45f1-ae38-091fab340ac4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_a1622100-90eb-4651-9447-29028495c966" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_94e191bd-6490-45f1-ae38-091fab340ac4" xlink:to="loc_ifrs-full_NoncurrentAssets_a1622100-90eb-4651-9447-29028495c966" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_e57786e7-2c6d-47c5-9655-840752a73a06" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_94e191bd-6490-45f1-ae38-091fab340ac4" xlink:to="loc_ifrs-full_CurrentAssets_e57786e7-2c6d-47c5-9655-840752a73a06" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_069e080b-cee5-466d-9e9d-183f5a8ab8b3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_11053743-d6c3-4678-ab06-6a341ccf3d53" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_069e080b-cee5-466d-9e9d-183f5a8ab8b3" xlink:to="loc_ifrs-full_Liabilities_11053743-d6c3-4678-ab06-6a341ccf3d53" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_2899514f-9526-48d3-bd37-ab05d5029c1d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_069e080b-cee5-466d-9e9d-183f5a8ab8b3" xlink:to="loc_ifrs-full_Equity_2899514f-9526-48d3-bd37-ab05d5029c1d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermDeposits_35cb8004-72fb-4c78-b403-30fbdaf2cedc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermDeposits"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:to="loc_ifrs-full_LongtermDeposits_35cb8004-72fb-4c78-b403-30fbdaf2cedc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentProperty_09ccbbd5-8ddf-4dd0-bef4-71d97a81dc89" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentProperty"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:to="loc_ifrs-full_InvestmentProperty_09ccbbd5-8ddf-4dd0-bef4-71d97a81dc89" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_76ca0fbd-b676-4ad7-b0ec-5a78ede88648" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_76ca0fbd-b676-4ad7-b0ec-5a78ede88648" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty_d09a709c-59d5-4599-9122-fc63da175edc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:to="loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty_d09a709c-59d5-4599-9122-fc63da175edc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_7ffd6707-7a98-44c4-92b5-bbc22d0c73cc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:to="loc_ifrs-full_DeferredTaxAssets_7ffd6707-7a98-44c4-92b5-bbc22d0c73cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Goodwill_3d9a0cd1-fece-4d5e-b966-50fc0e025977" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:to="loc_ifrs-full_Goodwill_3d9a0cd1-fece-4d5e-b966-50fc0e025977" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_58fe70fe-f541-401d-a4cb-14c4f35e63dc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_729a581e-a700-4acf-97cd-77e559504c35" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_58fe70fe-f541-401d-a4cb-14c4f35e63dc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_d3e66322-c316-49e1-8aa6-02004c02dbe1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_bc6f9e22-cb64-4a1c-b7c3-2032a341f328" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_d3e66322-c316-49e1-8aa6-02004c02dbe1" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_bc6f9e22-cb64-4a1c-b7c3-2032a341f328" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherShorttermProvisions_91de0c5f-e17b-4b18-945c-72537264a39b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherShorttermProvisions"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_d3e66322-c316-49e1-8aa6-02004c02dbe1" xlink:to="loc_ifrs-full_OtherShorttermProvisions_91de0c5f-e17b-4b18-945c-72537264a39b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_0f59de49-b8ae-41b7-8978-6f2de3e448e6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_d3e66322-c316-49e1-8aa6-02004c02dbe1" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_0f59de49-b8ae-41b7-8978-6f2de3e448e6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_b6d0b8d6-f51f-4847-81fe-99431531d4ac" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_d3e66322-c316-49e1-8aa6-02004c02dbe1" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_b6d0b8d6-f51f-4847-81fe-99431531d4ac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_b7d828d5-87b1-4f77-abf3-01c8ebd1b1a5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_d3e66322-c316-49e1-8aa6-02004c02dbe1" xlink:to="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_b7d828d5-87b1-4f77-abf3-01c8ebd1b1a5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_1eb84baf-4dfd-4d83-a77c-368cfd0e2970" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_d3e66322-c316-49e1-8aa6-02004c02dbe1" xlink:to="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_1eb84baf-4dfd-4d83-a77c-368cfd0e2970" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_1bf90c41-69bb-4667-ba49-9f19d25e062f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_d92f3d82-0fa8-4100-9dc6-7748902fde6b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_1bf90c41-69bb-4667-ba49-9f19d25e062f" xlink:to="loc_ifrs-full_LongtermBorrowings_d92f3d82-0fa8-4100-9dc6-7748902fde6b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_a69cd099-8d3e-4818-b13a-c3f3fcddfd9d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_1bf90c41-69bb-4667-ba49-9f19d25e062f" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_a69cd099-8d3e-4818-b13a-c3f3fcddfd9d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_fd0d78db-9eca-4f0e-aed7-26bedda752ec" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_1bf90c41-69bb-4667-ba49-9f19d25e062f" xlink:to="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_fd0d78db-9eca-4f0e-aed7-26bedda752ec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_379664a3-f19c-4af2-940e-063753b14a5f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_1bf90c41-69bb-4667-ba49-9f19d25e062f" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_379664a3-f19c-4af2-940e-063753b14a5f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherLongtermProvisions_2453ec4c-a574-4406-8402-b47094940f16" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherLongtermProvisions"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_1bf90c41-69bb-4667-ba49-9f19d25e062f" xlink:to="loc_ifrs-full_OtherLongtermProvisions_2453ec4c-a574-4406-8402-b47094940f16" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_fb31fbee-d87b-4f3b-a5b8-6029cd9e3225" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_42070e97-931a-48e9-ad0a-fcb2d730cc5c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_fb31fbee-d87b-4f3b-a5b8-6029cd9e3225" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_42070e97-931a-48e9-ad0a-fcb2d730cc5c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncontrollingInterests_a8644fc4-6946-4045-85ea-a9e3326121f9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_fb31fbee-d87b-4f3b-a5b8-6029cd9e3225" xlink:to="loc_ifrs-full_NoncontrollingInterests_a8644fc4-6946-4045-85ea-a9e3326121f9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_41aa5037-adc2-4091-a94d-44f489d3ce54" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_Reserves_85bd9bc8-f879-432b-ab81-b93f447fd050" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_Reserves"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_41aa5037-adc2-4091-a94d-44f489d3ce54" xlink:to="loc_amrest_Reserves_85bd9bc8-f879-432b-ab81-b93f447fd050" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_8e44d03b-6cd2-45fa-9ad2-9d0f339307cc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_41aa5037-adc2-4091-a94d-44f489d3ce54" xlink:to="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_8e44d03b-6cd2-45fa-9ad2-9d0f339307cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RetainedEarnings_7738f230-5c85-4ebb-948e-6465749bd220" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_41aa5037-adc2-4091-a94d-44f489d3ce54" xlink:to="loc_ifrs-full_RetainedEarnings_7738f230-5c85-4ebb-948e-6465749bd220" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_db3a5059-9544-4433-aece-ce2ca16ef091" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_41aa5037-adc2-4091-a94d-44f489d3ce54" xlink:to="loc_ifrs-full_IssuedCapital_db3a5059-9544-4433-aece-ce2ca16ef091" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_455627dc-14d3-49d1-9def-8d6f8cae889f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentPrepayments_a9171618-d735-443e-9902-d8eda9b37269" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentPrepayments"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_455627dc-14d3-49d1-9def-8d6f8cae889f" xlink:to="loc_ifrs-full_CurrentPrepayments_a9171618-d735-443e-9902-d8eda9b37269" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_1313dca3-0bef-44f7-9cb3-79d6b627a721" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_455627dc-14d3-49d1-9def-8d6f8cae889f" xlink:to="loc_ifrs-full_CashAndCashEquivalents_1313dca3-0bef-44f7-9cb3-79d6b627a721" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_5ffa98b8-301f-4443-99d9-aa91debd1e78" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_455627dc-14d3-49d1-9def-8d6f8cae889f" xlink:to="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_5ffa98b8-301f-4443-99d9-aa91debd1e78" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_918c888a-8b95-4253-acaa-a91759dfc4f2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_455627dc-14d3-49d1-9def-8d6f8cae889f" xlink:to="loc_ifrs-full_Inventories_918c888a-8b95-4253-acaa-a91759dfc4f2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_CurrentTradeReceivablesAndOtherReceivables_77ea08fe-5308-4bd7-ae28-21625aade0b7" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_CurrentTradeReceivablesAndOtherReceivables"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_455627dc-14d3-49d1-9def-8d6f8cae889f" xlink:to="loc_amrest_CurrentTradeReceivablesAndOtherReceivables_77ea08fe-5308-4bd7-ae28-21625aade0b7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxAssetsCurrent_2326a20a-8f54-4ac1-873b-8184d310d7f6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_455627dc-14d3-49d1-9def-8d6f8cae889f" xlink:to="loc_ifrs-full_CurrentTaxAssetsCurrent_2326a20a-8f54-4ac1-873b-8184d310d7f6" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://amrest.eu/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_26aa9bf4-44e7-4bec-b7e2-bc48ea14dfc2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_5b9a2fe6-184f-4060-9641-35f826fe4c22" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_26aa9bf4-44e7-4bec-b7e2-bc48ea14dfc2" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_5b9a2fe6-184f-4060-9641-35f826fe4c22" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_f2abd106-1e57-44a3-9a58-f2ab3b43ed41" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_26aa9bf4-44e7-4bec-b7e2-bc48ea14dfc2" xlink:to="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_f2abd106-1e57-44a3-9a58-f2ab3b43ed41" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_8ef348c4-c1fe-42ac-be06-5645e0d524ec" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_26aa9bf4-44e7-4bec-b7e2-bc48ea14dfc2" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_8ef348c4-c1fe-42ac-be06-5645e0d524ec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromSalesOfInvestmentProperty_01e9a4b2-de65-4186-99d0-d190f1e60ea5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfInvestmentProperty"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_26aa9bf4-44e7-4bec-b7e2-bc48ea14dfc2" xlink:to="loc_ifrs-full_ProceedsFromSalesOfInvestmentProperty_01e9a4b2-de65-4186-99d0-d190f1e60ea5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_2f5a59ec-fb00-46ef-bd3b-a862de5d2fcd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_26aa9bf4-44e7-4bec-b7e2-bc48ea14dfc2" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_2f5a59ec-fb00-46ef-bd3b-a862de5d2fcd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_6a2db9ae-594b-485e-99c4-c8a6afe696dd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_26aa9bf4-44e7-4bec-b7e2-bc48ea14dfc2" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_6a2db9ae-594b-485e-99c4-c8a6afe696dd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_edb82177-4fab-47f1-9086-24671b84c27d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_edb82177-4fab-47f1-9086-24671b84c27d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_c909c29d-7014-41ec-aa1c-94e13182732b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_c909c29d-7014-41ec-aa1c-94e13182732b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities_d150a2ca-7ee5-47d5-a990-55dcd4725bb8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities_d150a2ca-7ee5-47d5-a990-55dcd4725bb8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_661fda3e-0cae-489e-a88a-470f6e58eef5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_661fda3e-0cae-489e-a88a-470f6e58eef5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_7973ce7b-a4ed-4102-9fea-632270e888cf" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_7973ce7b-a4ed-4102-9fea-632270e888cf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_1d207b91-ce15-4306-b3ce-43fc09a36940" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_1d207b91-ce15-4306-b3ce-43fc09a36940" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_f0fa3e35-25ce-4f8c-b9b7-b67393111d5a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_f0fa3e35-25ce-4f8c-b9b7-b67393111d5a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_1a0d8533-68ac-47f3-9048-1e1ec55187d1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_1a0d8533-68ac-47f3-9048-1e1ec55187d1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_InterestReceivedClassifiedAsFinancingActivities_545863bc-a6f1-40ed-af94-2a07c0973c47" xlink:href="259400T6ZDQIMDBGDN42-2024-12-31.xsd#amrest_InterestReceivedClassifiedAsFinancingActivities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_92763ebc-d2e2-4f16-b05a-261e8ca51d1b" xlink:to="loc_amrest_InterestReceivedClassifiedAsFinancingActivities_545863bc-a6f1-40ed-af94-2a07c0973c47" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_6241cec8-4111-4561-b54e-75bf1d2a2a0e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_141f302e-9f72-4311-ba33-69de148007cf" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_6241cec8-4111-4561-b54e-75bf1d2a2a0e" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_141f302e-9f72-4311-ba33-69de148007cf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_d2b48168-00cf-4a21-a7a0-dd4e6685db04" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_6241cec8-4111-4561-b54e-75bf1d2a2a0e" xlink:to="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_d2b48168-00cf-4a21-a7a0-dd4e6685db04" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_3b02c7ef-fba7-4e5c-8fdc-08c0338d04e4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_ProfitLoss_3b02c7ef-fba7-4e5c-8fdc-08c0338d04e4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_f9d98141-7e3e-4b03-a78d-c359fc3f3b92" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_f9d98141-7e3e-4b03-a78d-c359fc3f3b92" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForInterestExpense_b4c1f4f7-abdb-4c72-b112-3ca0d09a181c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForInterestExpense_b4c1f4f7-abdb-4c72-b112-3ca0d09a181c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_3c568b94-d9c8-46e6-a843-81fcf67adf8b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_3c568b94-d9c8-46e6-a843-81fcf67adf8b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_d7a6a3d9-7c09-439e-94bd-2e9a9cd48273" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_d7a6a3d9-7c09-439e-94bd-2e9a9cd48273" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_75b04417-602a-43c4-be1d-9c9373ac2864" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_75b04417-602a-43c4-be1d-9c9373ac2864" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_17092826-f218-4469-89ce-d93c78a611f7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_17092826-f218-4469-89ce-d93c78a611f7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForSharebasedPayments_2c7d18fb-8744-4be3-8fa2-5b7aa71fe874" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForSharebasedPayments"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForSharebasedPayments_2c7d18fb-8744-4be3-8fa2-5b7aa71fe874" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_afd0a01a-8b53-45f7-8705-7be6620c351a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_afd0a01a-8b53-45f7-8705-7be6620c351a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss_aa5753af-f3b5-4bd8-b70d-b67621f1c0cc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss_aa5753af-f3b5-4bd8-b70d-b67621f1c0cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_37b71110-606a-45a4-996a-b8cdaa646aa6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_37b71110-606a-45a4-996a-b8cdaa646aa6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_d1786e2c-5d32-4d48-ad22-8354ead267f1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_d1786e2c-5d32-4d48-ad22-8354ead267f1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_d88adddb-d1b2-4f6f-8b2c-3facb1158ae3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable"/>
    <link:calculationArc order="13" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_d88adddb-d1b2-4f6f-8b2c-3facb1158ae3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_5c18c6be-08a0-4cf5-941b-b16cbdfbfcaf" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions"/>
    <link:calculationArc order="14" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_1b5a58af-e45c-4986-8d73-1e79e05638ee" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_5c18c6be-08a0-4cf5-941b-b16cbdfbfcaf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_60010fb2-2dd6-47b4-8044-95a66fd546df" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_f4717878-51b5-47e5-a41e-7d6d08928aa2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_60010fb2-2dd6-47b4-8044-95a66fd546df" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_f4717878-51b5-47e5-a41e-7d6d08928aa2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_8ab27fe1-9f65-4d7f-99e4-23f369181158" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_60010fb2-2dd6-47b4-8044-95a66fd546df" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations_8ab27fe1-9f65-4d7f-99e4-23f369181158" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
